import express, { Request, Response } from 'express';
import { prisma, __path } from '../../index.js';

export default (req: Request, res: Response) => {
	prisma.item.findMany({
		orderBy: {
			updatedAt: 'desc'
		},
		// Limit to 10 items
		take: 10
	}).then((items) => {
		// Count amount of total items
		prisma.item.count().then((count) => {
			res.render(__path + '/src/frontend/demopage.eta.html', { recents: items, stats: { total: count } });
		});
	});
	// res.render(__path + '/src/frontend/demopage.eta.html');
};